<?php

namespace App\Mail;

use App\Album;
use App\Facade\Theme;
use App\Facade\UserConfig;
use App\Photo;
use App\PhotoComment;
use App\User;
use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;

class ModeratePhotoComment extends Mailable
{
    use Queueable, SerializesModels;

    private $album;
    private $comment;
    private $photo;
    private $user;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct(User $user, Album $album, Photo $photo, PhotoComment $comment)
    {
        $this->user = $user;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        $subject = trans('email.change_email_required_subject', ['app_name' => UserConfig::get('app_name')]);

        return $this
            ->subject($subject)
            ->markdown(Theme::viewName('email.user_change_email_required'))
            ->with([
                'subject' => $subject,
                'user' => $this->user
            ]);
    }
}
